Ignore:
Timestamp:
Nov 2, 2010, 2:29:42 AM (9 years ago)
Author:
juanger@…
Message:

Better compatibility check. As suggested by Ryan Schmidt.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/sysutils/Pallet/Portfile

    r73037 r73049  
    2727xcode.configuration     Release
    2828
    29 if {"darwin" == ${os.platform}} {
    30   if {9 <= ${os.major}} {
    31     xcode.configuration     Release
    32   } else {
    33     ui_error "You need at least Mac OS X Leopard to build this port."
    34     return -code error "incompatible Mac OS X version"
    35   }
     29platform darwin 8 {
     30       pre-fetch {
     31               ui_error "${name} requires Mac OS X 10.5 or greater."
     32       }
    3633}
    3734
Note: See TracChangeset for help on using the changeset viewer.